
Foreman - Bug #32438

Improve startup scripts and introduce foreman-cmd

04/28/2021 10:47 AM - Lukas Zapletal

Status: Ready For Testing   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8476,

https://github.com/theforeman/foreman/p

ull/8484

  

Description

This patch unifies starting The Foreman via both foreman gem and a shell script. We used to have two entrypoints: Procfile

(foreman) and scripts/foreman-start-dev. This is now all replaced with a new script "foreman-cmd" which can start processes

normally and in a tmux session. Procfile was updated so it starts normal processes so users can continue using "bundle exec

foreman start" while they can use the new script as well if they want to, e.g. to get REPL/debuggers working again.

History

#1 - 04/28/2021 10:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/8476 added

#2 - 04/30/2021 03:47 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8484 added
